# GetCompactionStateParam.Builder

Package io.milvus.param.control

## Class GetCompactionStateParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetCompactionStateParam.Builder

Enclosing class:
  GetCompactionStateParam

    public static final class GetCompactionStateParam.Builder
    extends java.lang.Object

Builder for `GetCompactionStateParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`GetCompactionStateParam` `build()` Verifies parameters and creates a new `GetCompactionStateParam` instance.
`GetCompactionStateParam.Builder` `withCompactionID​(@NonNull java.lang.Long compactionID)` Sets the compaction action id to get state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCompactionID

    public GetCompactionStateParam.Builder withCompactionID​(@NonNull
                                                            @NonNull java.lang.Long compactionID)

Sets the compaction action id to get state.

Parameters:
  `compactionID` - compaction action id
Returns:
  `Builder`

#### build

    public GetCompactionStateParam build()
                                  throws ParamException

Verifies parameters and creates a new `GetCompactionStateParam` instance.

Returns:
  `GetCompactionStateParam`
Throws:
  `ParamException`